## com.acme
Class ChatFilter

    java.lang.Object
      org.mortbay.util.ajax.AjaxFilter
          com.acme.ChatFilter

All Implemented Interfaces:
  javax.servlet.Filter

Deprecated. Use Cometd

    public class ChatFilter

extends AjaxFilter

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.util.ajax.AjaxFilter
`AjaxFilter.AjaxResponse`

Constructor Summary
`ChatFilter()` Deprecated.

Method Summary
`void` `destroy()` Deprecated.
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Deprecated.
`void` `handle(java.lang.String method, java.lang.String message, javax.servlet.http.HttpServletRequest request, AjaxFilter.AjaxResponse response)` Deprecated.
`void` `init(javax.servlet.FilterConfig filterConfig)` Deprecated.

Methods inherited from class org.mortbay.util.ajax.AjaxFilter
`encodeText, getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatFilter

    public ChatFilter()

  Deprecated.

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Deprecated.
  Specified by:
    `init` in interface `javax.servlet.Filter`
  Overrides:
    `init` in class `AjaxFilter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `javax.servlet.Filter`
  Overrides:
    `destroy` in class `AjaxFilter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Deprecated.
  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Overrides:
    `doFilter` in class `AjaxFilter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### handle

    public void handle(java.lang.String method,
                       java.lang.String message,
                       javax.servlet.http.HttpServletRequest request,
                       AjaxFilter.AjaxResponse response)

  Deprecated.
  Overrides:
    `handle` in class `AjaxFilter`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.